Create space settings

Base URL
https://{kibana_url}
  • PUT /api/fleet/space_settings
Auth

Create or update Fleet settings for the current Kibana space.

Required authorization

Privileges fleet-settings-all

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

allowed_namespace_prefixes string[] · max items: 10

Response

Successful response

application/json
item object required
allowed_namespace_prefixes string[] · max items: 100 required
managed_by string
Base URL
https://{kibana_url}